KSSLPKCS7 Class Reference

`#include <ksslpkcs7.h>`

## Public Member Functions

virtual | ~KSSLPKCS7 ()
QString | name ()
QString | toString ()
void | setCert (PKCS7 *c)
KSSLCertificate * | getCertificate ()
KSSLCertChain * | getChain ()
bool | toFile (QString filename)
KSSLCertificate::KSSLValidation | validate ()
KSSLCertificate::KSSLValidation | revalidate ()
bool | isValid ()

## Static Public Member Functions

static KSSLPKCS7 * | fromString (QString base64)
static KSSLPKCS7 * | loadCertFile (QString filename)

## Friends

class | KSSL

## Detailed Description

KDE PKCS#7 Certificate.

This class represents a PKCS#7 certificate

Author
  George Staikos staik.nosp@m.os@k.nosp@m.de.or.nosp@m.g

See also
  KSSL KDE PKCS#7 Certificate

Definition at line 60 of file ksslpkcs7.h.

## Constructor & Destructor Documentation

KSSLPKCS7::~KSSLPKCS7 | ( |  | ) |

virtual

Destroy this PKCS#7 certificate.

Definition at line 55 of file ksslpkcs7.cc.

## Member Function Documentation

KSSLPKCS7 * KSSLPKCS7::fromString | ( | QString | base64 | ) |

static

Create a KSSLPKCS7 object from a Base64 in a QString.

Parameters

  base64 | the base64 representation of the certificate

Returns
  a PKCS#7 object, or NULL on failure

Definition at line 63 of file ksslpkcs7.cc.

KSSLCertificate * KSSLPKCS7::getCertificate | ( |  | ) |

Get the bottom level X.509 certificate.

Returns
  the certificate, or NULL on failure

See also
  KSSLCertificate

Definition at line 115 of file ksslpkcs7.cc.

KSSLCertChain * KSSLPKCS7::getChain | ( |  | ) |

Get the certificate chain.

Returns
  the certificate chain

See also
  KSSLCertChain

Definition at line 120 of file ksslpkcs7.cc.

bool KSSLPKCS7::isValid | ( |  | ) |

Return true if the chain is valid.

Definition at line 188 of file ksslpkcs7.cc.

KSSLPKCS7 * KSSLPKCS7::loadCertFile | ( | QString | filename | ) |

static

Create a KSSLPKCS7 object by reading a PKCS#7 file.

Parameters

  filename | the filename to read the certificate from

Returns
  a PKCS#7 object, or NULL on failure

Definition at line 81 of file ksslpkcs7.cc.

QString KSSLPKCS7::name | ( |  | ) |

The name of this certificate.

This can be used to refer to the certificate instead of passing the object itself.

Returns
  the name of the certificate

Definition at line 193 of file ksslpkcs7.cc.

KSSLCertificate::KSSLValidation KSSLPKCS7::revalidate | ( |  | ) |

Check the chain to make sure it's valid.

Ignore any cached validation result.

Returns
  the result of the validation

See also
  KSSLCertificate

Definition at line 181 of file ksslpkcs7.cc.

void KSSLPKCS7::setCert | ( | PKCS7 * | c | ) |

Raw set the PKCS7 object.

Parameters

  c | the PKCS7 object

Definition at line 105 of file ksslpkcs7.cc.

bool KSSLPKCS7::toFile | ( | QString | filename | ) |

Write the PKCS#7 to a file in raw mode.

Parameters

  filename | the filename to write

Returns
  true on success

Definition at line 148 of file ksslpkcs7.cc.

QString KSSLPKCS7::toString | ( |  | ) |

Convert to a Base64 string.

Returns
  the PKCS#7 object in base64 form

Definition at line 125 of file ksslpkcs7.cc.

KSSLCertificate::KSSLValidation KSSLPKCS7::validate | ( |  | ) |

Check the chain to make sure it's valid.

Returns
  the result of the validation procedure

Definition at line 171 of file ksslpkcs7.cc.

The documentation for this class was generated from the following files:

- ksslpkcs7.h
- ksslpkcs7.cc

KDE Home | KDE Accessibility Home | Description of Access Keys